Skip to content
StraventaDocs
Now in Sandbox.

List payment intents

GET
/v1/payments/intents

List payment intents.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

sort?string

Column to order the merchant's whole payment-link list by (server-side, across every page). Defaults to created_at descending. The customer JSONB, description, metadata, line_items, the redirect URLs and the creator/API-key UUIDs are not sortable and return 400 invalid_sort_key.

Value in"shortcode" | "invoice_number" | "amount" | "status" | "created_at" | "updated_at" | "expires_at" | "due_at" | "captured_at"
order?string

Sort direction. Any other value returns 400 invalid_sort_order.

Value in"asc" | "desc"
merchant_id*string
Formatuuid
search?string
page?integer
limit?integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET https://sandbox.505pay.link/v1/payments/intents \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json"
{}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}

Was this page helpful?